Bug Hunting Session
Bug 91697 - String in English in macro security dialog
Summary: String in English in macro security dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.4.3.2 release
Hardware: Other All
: high major
Assignee: Andras Timar
URL:
Whiteboard: target:4.4.5
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-28 13:38 UTC by sophie
Modified: 2015-06-23 22:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
string still in English (27.36 KB, image/png)
2015-05-28 13:38 UTC, sophie
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sophie 2015-05-28 13:38:25 UTC
Created attachment 116107 [details]
string still in English

When opening a document containing macros and the security of macros set on medium, the security alert dialog that opens has a string still in English.
version: Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale : fr_FR
confirmed also in pt_BR
Git grep gives it in uui/uiconfig/ui/macrowarningmedium.ui but didn't make it on Pootle for 4.4 and master and has no KeyID.
Comment 1 sophie 2015-05-28 13:39:09 UTC
Rising the importance as it's a security dialog
Comment 2 Julien Nabet 2015-05-28 21:27:19 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this with French UI, German and Italian UI. (I can give a try with other UIs if needed)

http://opengrok.libreoffice.org/xref/core/uui/uiconfig/ui/macrowarnmedium.ui#141 gives:
<property name="label" translatable="yes">The document contains document macros.</property>

Andras: any thoughts?
Comment 3 Andras Timar 2015-05-29 06:08:01 UTC
(In reply to Julien Nabet from comment #2)
> On pc Debian x86-64 with master sources updated yesterday, I could reproduce
> this with French UI, German and Italian UI. (I can give a try with other UIs
> if needed)
> 
> http://opengrok.libreoffice.org/xref/core/uui/uiconfig/ui/macrowarnmedium.
> ui#141 gives:
> <property name="label" translatable="yes">The document contains document
> macros.</property>
> 
> Andras: any thoughts?

I fixed this with to following commit:
commit bf6a14e0ba4eb2a47da0146379ec905089ab3a6c
Author: Andras Timar <andras.timar@collabora.com>
Date:   Thu May 14 10:32:26 2015 +0200

    make hardcoded string localizable

Probably Pootle has not been updated since then. I have not backported this fix to 4.4 because of the string freeze.
Comment 4 sophie 2015-06-06 15:45:28 UTC
Hi Andras, could you backport the fix to 4.4? As it's a warning dialog, it's better to have the string localized in that case. Thanks a lot in advance. Sophie
Comment 5 Andras Timar 2015-06-07 06:43:39 UTC
https://gerrit.libreoffice.org/16130
Comment 6 Commit Notification 2015-06-09 10:34:56 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6c6a32a8d953f55568b2da5585a99b3bcb79c037&h=libreoffice-4-4

tdf#91697 make hardcoded string localizable

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.